Java2DRendererConfig.Java2DRendererConfigParser (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.java2d

## Class Java2DRendererConfig.Java2DRendererConfigParser

- java.lang.Object
- - org.apache.fop.render.java2d.Java2DRendererConfig.Java2DRendererConfigParser

- All Implemented Interfaces:
    RendererConfig.RendererConfigParser
  Enclosing class:
    Java2DRendererConfig

      public static class Java2DRendererConfig.Java2DRendererConfigParser
      extends Object
      implements RendererConfig.RendererConfigParser

  The Java2D renderer configuration data parser.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java2DRendererConfigParser(String mimeType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Java2DRendererConfig` | `build(FOUserAgent userAgent, Configuration cfg)` Builds the object that contains the renderer configuration data.
    `String` | `getMimeType()` The MIME type of the renderer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Java2DRendererConfigParser

          public Java2DRendererConfigParser(String mimeType)

  - ### Method Detail

    - #### build

          public Java2DRendererConfig build(FOUserAgent userAgent,
                                            Configuration cfg)
                                     throws FOPException

      Builds the object that contains the renderer configuration data.
      Specified by:
        `build` in interface `RendererConfig.RendererConfigParser`
      Parameters:
        `userAgent` - the user agent
        `cfg` - the Avalon config object for parsing the data
      Returns:
        the configuration data object
      Throws:
        `FOPException` - if an error occurs while parsing the fop conf

    - #### getMimeType

          public String getMimeType()

      The MIME type of the renderer.
      Specified by:
        `getMimeType` in interface `RendererConfig.RendererConfigParser`
      Returns:
        the mime type

Copyright © 2025 Apache Software Foundation. All rights reserved.